Subject: bug#6192: 24.0.50; eldoc-mode: unexpected recentering

From: martin rudalics <[email-masked]>
Date: Sat, 15 May 2010 21:02:14 +0200

> Did you also have eldoc-mode enabled in your .emacs file (I only get the
 > two line echo area in that case)?

I always had - how else can you do it?  But the problems only started
after the series of changes following the release of Emacs 22.  I was
mainly annoyed by the continuous resizing of the echo area, especially
when eldoc tries to analyze doc-strings or comments.  So I first wrote
some workaround until I found out that customizing the faces suffices.

Meanwhile I show eldoc-strings either in the header-line, a separate
window, or in a tooltip - but none of them work satisfactorily :-(

Anyway: The recentering is a misbehavior which should not occur.  Does
Emacs restore the old situation when the echo area sizes back?

martin